<!doctype html>
<html lang="en">
 <head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta name="generator" content="Asciidoctor 2.0.12">
  <meta name="author" content="Copyright (c) 2010, 2024 Contributors to the Eclipse Foundation">
  <link rel="icon" type="image/png" href="../favicon.png">
  <title>Eclipse terminology | Eclipse ESCET™ general toolkit documentation</title>
  <link rel="stylesheet" href="../assets/asciidoctor-escet-project.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <link rel="stylesheet" href="../assets/styles/asciidoctor-highlightjs-escet.min.css"> <!--
  Copyright (c) 2010, 2024 Contributors to the Eclipse Foundation

  See the NOTICE file(s) distributed with this work for additional
  information regarding copyright ownership.

  This program and the accompanying materials are made available under the terms
  of the MIT License which is available at https://opensource.org/licenses/MIT

  SPDX-License-Identifier: MIT
-->
  <meta name="robots" content="noindex">
  <script type="text/javascript" src="../assets/asciidoctor-escet-project.js"></script>
 </head>
 <body class="book toc2 toc-left" onload="onLoad()">
  <div id="header">
   <div id="toc" class="toc2">
    <p class="website-link">Part of: <a href="..">Eclipse ESCET™ website</a></p>
    <div id="toctitle">
     Eclipse ESCET™ general toolkit documentation
    </div>
    <ul class="sectlevel1">
     <li class="toc-item">
      <div class="toc-item-marker"></div><a href="../documentation.html">Home</a></li>
     <li class="toc-cur-page-ancestor toc-item toc-item-parent expanded">
      <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="index.html">Using the Eclipse ESCET IDE</a>
      <ul class="sectlevel2">
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="starting-first-time.html">Starting Eclipse ESCET IDE for the first time</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="update.html">Updating Eclipse ESCET IDE</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="remove.html">Removing Eclipse ESCET IDE</a></li>
       <li class="toc-cur-page toc-item toc-item-parent expanded">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="#">Eclipse terminology</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="#eclipse-workspace">Eclipse workspace</a></li>
         <li class="toc-item toc-item-parent">
          <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="#eclipse-views">Eclipse views</a>
          <ul class="sectlevel4">
           <li class="toc-item">
            <div class="toc-item-marker"></div><a href="#opening-a-view">Opening a view</a></li>
          </ul></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="#eclipse-projects">Eclipse projects</a></li>
        </ul></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="projects.html">Working with projects, directories, and files</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#creating-a-new-project">Creating a new project</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#importing-an-existing-project">Importing an existing project</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#removing-a-project-from-eclipse">Removing a project from Eclipse</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#creating-a-new-directory">Creating a new directory</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#creating-a-new-file">Creating a new file</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#renaming-a-file-directory-or-project">Renaming a file, directory, or project</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#locating-files-directories-and-projects">Locating files, directories, and projects</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#refreshing-a-file-directory-or-project">Refreshing a file, directory, or project</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="projects.html#checking-the-size-of-a-file">Checking the size of a file</a></li>
        </ul></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="edit-exec.html">Editing files and executing commands</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="edit-exec.html#editing-a-text-file">Editing a text file</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="edit-exec.html#executing-commands">Executing commands</a></li>
        </ul></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="escet-perspective.html">Eclipse ESCET perspective</a></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="apps-view.html">Applications view</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="apps-view.html#opening-the-view">Opening the view</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="apps-view.html#application-status">Application status</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="apps-view.html#termination">Termination</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="apps-view.html#removal">Removal</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="apps-view.html#expansion">Expansion</a></li>
        </ul></li>
      </ul></li>
     <li class="toc-item toc-item-parent">
      <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../performance/index.html">Resolving performance and memory problems</a>
      <ul class="sectlevel2">
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../performance/clear-console.html">Clearing the console</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../performance/reduce-console-output.html">Reducing console output</a></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../performance/close-running-apps.html">Closing running applications</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/close-running-apps.html#application-management-via-the-applications-view">Application management via the applications view</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/close-running-apps.html#application-management-via-the-console-view">Application management via the console view</a></li>
        </ul></li>
       <li class="toc-item toc-item-parent">
        <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../performance/tweak-perf-settings.html">Tweaking performance settings</a>
        <ul class="sectlevel3">
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#quick-and-dirty-solution">Quick and dirty solution</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#managed-memory-and-garbage-collection">Managed memory and garbage collection</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#different-types-of-memory">Different types of memory</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#benefits-of-increasing-the-available-memory">Benefits of increasing the available memory</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#available-settings">Available settings</a></li>
         <li class="toc-item toc-item-parent">
          <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../performance/tweak-perf-settings.html#changing-memory-settings">Changing memory settings</a>
          <ul class="sectlevel4">
           <li class="toc-item">
            <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#miscellaneous-troubleshooting">Miscellaneous troubleshooting</a></li>
          </ul></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#practical-hints-to-solve-performance-and-memory-problems">Practical hints to solve performance and memory problems</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#monitoring-eclipse-heap-status">Monitoring Eclipse heap status</a></li>
         <li class="toc-item">
          <div class="toc-item-marker"></div><a href="../performance/tweak-perf-settings.html#monitoring-with-visualvm">Monitoring with VisualVM</a></li>
        </ul></li>
      </ul></li>
     <li class="toc-item toc-item-parent">
      <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../tools/dsm-clustering.html">Design Structure Matrix (DSM) clustering</a>
      <ul class="sectlevel2">
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#starting-the-clustering-tool">Starting the clustering tool</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#options">Options</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#dsm-file-format">DSM file format</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#computing-a-clustered-dsm">Computing a clustered DSM</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#bus-detection-algorithms">Bus detection algorithms</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../tools/dsm-clustering.html#references">References</a></li>
      </ul></li>
     <li class="toc-item toc-item-parent">
      <div class="toc-item-marker" onclick="tocToggle(this); return false;"></div><a href="../release-notes.html">Eclipse ESCET release notes</a>
      <ul class="sectlevel2">
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-3-0-2024-03-31">Version 3.0 (2024-03-31)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-2-0-2023-12-22">Version 2.0 (2023-12-22)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-1-0-2023-09-30">Version 1.0 (2023-09-30)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-10-2023-06-30">Version 0.10 (2023-06-30)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-9-2023-03-31">Version 0.9 (2023-03-31)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-8-2022-12-21">Version 0.8 (2022-12-21)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-7-2022-09-30">Version 0.7 (2022-09-30)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-6-2022-07-07">Version 0.6 (2022-07-07)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-5-2022-03-29">Version 0.5 (2022-03-29)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-4-2021-12-17">Version 0.4 (2021-12-17)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-3-2021-10-01">Version 0.3 (2021-10-01)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-2-2021-07-07">Version 0.2 (2021-07-07)</a></li>
       <li class="toc-item">
        <div class="toc-item-marker"></div><a href="../release-notes.html#version-0-1-2021-04-02">Version 0.1 (2021-04-02)</a></li>
      </ul></li>
     <li class="toc-item">
      <div class="toc-item-marker"></div><a href="../documentation-legal.html">Legal</a></li>
    </ul>
   </div>
  </div>
  <div id="content">
   <div id="breadcrumbs">
    <a class="breadcrumb" href="../documentation.html">Eclipse ESCET™ general toolkit documentation</a> &gt; <a class="breadcrumb" href="index.html">Using the Eclipse ESCET IDE</a> &gt; <span class="breadcrumb">Eclipse terminology</span>
   </div>
   <h2 id="eclipse-terminology"><a class="anchor" href="#"></a>Eclipse terminology</h2>
   <div class="paragraph">
    <p>The Eclipse ESCET IDE is based on the <em>Eclipse IDE</em>, a cross platform Integrated Development Environment (IDE). There is quite a bit of terminology that is used within the IDE. If you are not familiar with Eclipse terminology, it may be difficult to use the Eclipse ESCET IDE. Here we’ll explain some basic Eclipse terminology:</p>
   </div>
   <div class="ulist">
    <ul>
     <li><p><a href="#eclipse-workspace">Eclipse workspace</a></p></li>
     <li><p><a href="#eclipse-views">Eclipse views</a></p></li>
     <li><p><a href="#eclipse-projects">Eclipse projects</a></p></li>
    </ul>
   </div>
   <div class="sect3">
    <h3 id="eclipse-workspace"><a class="anchor" href="#eclipse-workspace"></a>Eclipse workspace</h3>
    <div class="paragraph">
     <p>Eclipse stores all its settings in a so-called <em>workspace</em>. The workspace is simply a directory on your computer. You can choose any directory you like to serve as a workspace, as long as you have write access to that directory. It is usually best to choose an empty directory or a directory that does not yet exist as your workspace.</p>
    </div>
    <div class="paragraph">
     <p>Typically, and by default, a directory named <code>workspace</code> inside your Eclipse ESCET installation directory is used. Eclipse will ask you to choose a workspace directory when you start the Eclipse ESCET IDE for the <a href="starting-first-time.html">first time</a>.</p>
    </div>
    <div class="paragraph">
     <p>The actual settings are stored in a sub-directory of the workspace directory, called <code>.metadata</code>. You should avoid manually manipulating this directory. Note that because the name of the directory starts with a dot (<code>.</code>), depending on your operating system, file browser, and settings, the directory may be hidden.</p>
    </div>
    <div id="use-terminology-workspace-change" class="paragraph">
     <p>You can easily change your workspace directory from within Eclipse, by selecting <span class="menuseq"><b class="menu">File</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Switch workspace</b></span>. Select one of the workspaces from the list of last used workspaces, or select <b class="menuref">Other…​</b> to freely select any directory on your system to use as a workspace directory.</p>
    </div>
    <div class="paragraph">
     <p>It is possible to run multiple instances of Eclipse at the same time, but each instance must use its own workspace.</p>
    </div>
    <div class="paragraph">
     <p>The workspace is also the default directory for <a href="projects.html#creating-a-new-project">new projects</a>. However, <a href="#eclipse-projects">projects</a> don’t have to be physically located inside your workspace directory. They can be stored in any directory on your system. Whenever you <a href="projects.html#creating-a-new-project">create a project</a> and store it outside of your workspace, or whenever you <a href="projects.html#importing-an-existing-project">import an existing project</a> from outside your workspace, it is <em>linked</em> to the workspace, but remains physically stored in a directory outside of the workspace.</p>
    </div>
    <div class="paragraph">
     <p>Having projects stored outside of the workspace has some benefits. The most important benefit is that you can remove the workspace directory, without losing your files.</p>
    </div>
   </div>
   <div class="sect3">
    <h3 id="eclipse-views"><a class="anchor" href="#eclipse-views"></a>Eclipse views</h3>
    <div class="paragraph">
     <p>Eclipse is an Integrated Development Environment (IDE) with a lot of functionality. Most of the functionality is available through <em>views</em>. A view is a part of the Eclipse graphical user interface. Views can be thought of as 'sub-windows'. When you start Eclipse you are likely to see the <em>Project Explorer</em> or <em>Package Explorer</em> view on the left, and the <em>Problems</em> view at the bottom.</p>
    </div>
    <div class="sect4">
     <h4 id="opening-a-view"><a class="anchor" href="#opening-a-view"></a>Opening a view</h4>
     <div class="paragraph">
      <p>To open/show a view, select <span class="menuseq"><b class="menu">Window</b>&nbsp;<i class="fa fa-angle-right caret"></i> <b class="menuitem">Show view</b></span> and then choose the view that you wish to open.</p>
     </div>
     <div class="paragraph">
      <p>If the particular view that you wish to open is not in that menu, choose <b class="menuref">Other…​</b> instead. A new dialog opens, in which you can find all available views. The views are organized into categories. Expand a category, select the desired view, and click <b class="button">OK</b>.</p>
     </div>
     <div class="paragraph">
      <p>Alternatively, in the <em>Show view</em> dialog, enter the name of the view (or the first part of it) in the filter box at the top of the dialog, and observe how views that don’t match the filter are no longer displayed. This makes it easier to find the desired view.</p>
     </div>
    </div>
   </div>
   <div class="sect3">
    <h3 id="eclipse-projects"><a class="anchor" href="#eclipse-projects"></a>Eclipse projects</h3>
    <div class="paragraph">
     <p>Eclipse, being an Integrated Development Environment (IDE), does not only allow you to <a href="edit-exec.html#editing-a-text-file">edit</a> a single file, and <a href="edit-exec.html#executing-commands">simulate</a> it, but also allows you to <em>manage</em> your files.</p>
    </div>
    <div class="paragraph">
     <p>Eclipse works with so-called <em>projects</em>. A project is a collection of files and directories. A project may be located anywhere on your system, even though by default project are <a href="projects.html#creating-a-new-project">created</a> in your <a href="#eclipse-workspace">workspace</a> directory.</p>
    </div>
    <div class="paragraph">
     <p>A project is essentially a directory on your computer, with a special file named <code>.project</code>. This special file stores the information about your project, such as the name of the project. It is recommended to keep the name of the project as Eclipse sees it, the same as the name of the directory in which the project is stored on your hard disk.</p>
    </div>
    <div class="paragraph">
     <p>You can see the projects that Eclipse knows about in the <em>Project Explorer</em> or <em>Package Explorer</em> &lt;use-terminology-view,view&gt;&gt;.</p>
    </div>
    <div class="paragraph">
     <p>For more information on projects, see the <a href="projects.html">Working with projects, directories, and files</a> section.</p>
    </div>
   </div>
  </div>
  <script src="../assets/highlight.min.js"></script>
  <script src="../assets/languages/asciidoc.min.js"></script>
  <script src="../assets/languages/bash.min.js"></script>
  <script src="../assets/languages/bnf.min.js"></script>
  <script src="../assets/languages/c.min.js"></script>
  <script src="../assets/languages/chi.min.js"></script>
  <script src="../assets/languages/cif.min.js"></script>
  <script src="../assets/languages/console.min.js"></script>
  <script src="../assets/languages/css.min.js"></script>
  <script src="../assets/languages/dsm.min.js"></script>
  <script src="../assets/languages/java.min.js"></script>
  <script src="../assets/languages/javascript.min.js"></script>
  <script src="../assets/languages/markdown.min.js"></script>
  <script src="../assets/languages/mcrl2.min.js"></script>
  <script src="../assets/languages/none.min.js"></script>
  <script src="../assets/languages/properties.min.js"></script>
  <script src="../assets/languages/raildiagram.min.js"></script>
  <script src="../assets/languages/setext.min.js"></script>
  <script src="../assets/languages/shell.min.js"></script>
  <script src="../assets/languages/tooldef.min.js"></script>
  <script src="../assets/languages/xml.min.js"></script>
  <script>
if (!hljs.initHighlighting.called) {
  hljs.initHighlighting.called = true
  ;[].slice.call(document.querySelectorAll('pre.highlight > code')).forEach(function (el) { hljs.highlightElement(el) })
}
</script>
  <script type="text/x-mathjax-config">
MathJax.Hub.Config({
  messageStyle: "none",
  tex2jax: {
    inlineMath: [["\\(", "\\)"]],
    displayMath: [["\\[", "\\]"]],
    ignoreClass: "nostem|nolatexmath"
  },
  asciimath2jax: {
    delimiters: [["\\$", "\\$"]],
    ignoreClass: "nostem|noasciimath"
  },
  TeX: { equationNumbers: { autoNumber: "none" } }
})
MathJax.Hub.Register.StartupHook("AsciiMath Jax Ready", function () {
  MathJax.InputJax.AsciiMath.postfilterHooks.Add(function (data, node) {
    if ((node = data.script.parentNode) && (node = node.parentNode) && node.classList.contains("stemblock")) {
      data.math.root.display = "block"
    }
    return data
  })
})
</script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.9/MathJax.js?config=TeX-MML-AM_HTMLorMML"></script> <!--
  Copyright (c) 2010, 2024 Contributors to the Eclipse Foundation

  See the NOTICE file(s) distributed with this work for additional
  information regarding copyright ownership.

  This program and the accompanying materials are made available under the terms
  of the MIT License which is available at https://opensource.org/licenses/MIT

  SPDX-License-Identifier: MIT
-->
  <div id="footer">
   <div id="footer-text">
    <span>Eclipse ESCET™ general toolkit documentation</span> | <span>Copyright (c) 2010, 2024 Contributors to the Eclipse Foundation</span> | <span>version v3.0</span><br> <a href="https://www.eclipse.org">Eclipse Home</a> | <a href="https://www.eclipse.org/legal/privacy.php">Privacy Policy</a> | <a href="https://www.eclipse.org/legal/termsofuse.php">Terms of Use</a> | <a href="https://www.eclipse.org/legal/copyright.php">Copyright Agent</a> | <a href="https://www.eclipse.org/legal">Eclipse Legal</a>
   </div>
  </div>
 </body>
</html>